### Hierarchy

- unknown
  - GetOfferRequest

## Index

### Constructors

- constructor

### Methods

- getId
- serializeBinary
- setId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetOfferRequest(): GetOfferRequest

- Inherited from jspb.Message.constructor

  #### Returns GetOfferRequest

## Methods

### getId

- getId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1310

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1313

  #### Returns Uint8Array

### setId

- setId(value: string): GetOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1311

  #### Parameters

  - ##### value: string

  #### Returns GetOfferRequest

### toObject

- toObject(includeInstance?: boolean): GetOfferRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1314

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetOfferRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1317

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetOfferRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetOfferRequest, reader: BinaryReader): GetOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1318

  #### Parameters

  - ##### message: GetOfferRequest

  - ##### reader: BinaryReader

  #### Returns GetOfferRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetOfferRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1316

  #### Parameters

  - ##### message: GetOfferRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetOfferRequest ): GetOfferRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1315

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetOfferRequest

  #### Returns GetOfferRequest . AsObject

Generated using TypeDoc